## CSV-Import Anweisungen

- Trennzeichen: Semikolon
- Formatierung: UTF-8
- Daten mit mehr als einem Wort / Leerzeichen müssen mit Anführungszeichen umschlossen werden.

## Anleitung

Schritt 1: Kompatible CSV-Datei gem. Vorgaben hochladen.
Schritt 2: Daten in Vorschau prüfen.
Schritt 3: Veranstaltungen importieren.
Schritt 4: Veranstaltungen bearbeiten und veröffentlichen.

Der Dateiupload ermöglicht das Hochladen einer CSV-Datei mit den genannten technischen Vorgaben. Nach dem Upload prüft der Server die hochgeladene Datei soweit wie möglich auf Konformität und zeigt eine Vorschau der enthaltenen Einträge an. Mit den Vor- und Zurück-Buttons können Sie in der Vorschau zwischen den zu importierenden Einträgen wechseln und eine Sichtprüfung der Daten vornehmen.

Über den Button "Alle Angebote importieren" werden alle Einträge importiert und Ihrem Benutzer zugewiesen. Die Einträge werden im Status Entwurf importiert und müssen von Ihnen im Anschluss über den Bereich "Meine Veranstaltungen" geprüft und veröffentlicht werden. Auf Anfrage kann dieses Verhalten auch standardmäßig geändert und alle importierten Veranstaltungen direkt veröffentlicht werden.

## Erstellen / Bearbeiten mit Excel

Bei der Erstellung und Bearbeitung mit Excel sind keine besonderen Punkte zu beachten. 
CSV-Dateien mit Semikolon als Trenner sollten sowohl unter Excel für Windows und MacOS direkt editierbar sein.
Der empfohlene Weg zur manuellen Erstellung einer CSV-Datei ist das Öffnen der Musterdatei "Beispiel-Excel". 
Diese kann nach Bearbeitung dann im Dateiformat "CSV UTF-8" gespeichert werden.

## Importverhalten

- Eine Veranstaltung pro Zeile.
- Pro Veranstaltung muss ein Ort mit angegeben werden.
- Das Matching für bestehende Orte erfolgt über das Feld "Ort Titel". Hier muss auf eine exakt identische Schreibweise geachtet werden. Alle Ortsangaben müssen für jede Zeile vorhanden sein, auch wenn der Ort sich auf einen bereits vorhandenen Ort in der Datenbank bezieht.

## Kategorien

- Das Feld Kategorie erwartet den Slug der gewünschten Kategorie. 
- Diesen finden Sie in der Datei Kategorien.csv in der Spalte Titelform.
- Der Import unterstützt derzeit nur das Zuweisen einer Kategorie pro Veranstaltung.

## Nicht importierbare Felder und Daten

Folgende Daten lassen sich über den CSV-Import derzeit nicht importieren:

- Titelbilder/Medien
- Zusätzliche Wiederholungen
- Ausschlusstermine
- Zusatztermine

## Legende / Feldwerte

### Datumsfelder

Format:

YYYY-MM-DD HH:II:SS

Beispiele: 

Beginn:                 2023-04-28 11:06:00
Ende:                   2023-04-28 11:06:00
Wiederholung endet:     2023-08-28

### Wiederholung:

NONE : Keine
DAILY : Täglich
WEEKLY : Wöchentlich
MONTHLY : Monatlich
YEARLY : Jährlich

### Wiederholung alle

INT: 1,2,3,4...

### Ganztägig

TRUE/FALSE

### Serientermin

TRUE/FALSE

### Wochentag:

0 : Keine Vorgabe
1 : Montag
2 : Dienstag
3 : Mittwoch
4 : Donnerstag
5 : Freitag
6 : Samstag
7 : Sonntag

### Kosten: 

kostenfrei
gebuehr
spenden

### Kostenlos

TRUE/FALSE

### Höhe der Gebühr

Zahl ohne Währungszeichen, bspw. 10,00
